<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>presentation_layer Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="tree: package: presentation_layer">
<meta name="generator" content="javadoc/PackageTreeWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="package-tree">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package presentation_layer</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">presentation_layer.<a href="ChefObserver.html" title="class in presentation_layer"><span class="typeNameLink">ChefObserver</span></a> (implements presentation_layer.<a href="Observer.html" title="interface in presentation_layer">Observer</a>)</li>
<li class="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<ul>
<li class="circle">java.awt.Container
<ul>
<li class="circle">java.awt.Window (implements javax.accessibility.Accessible)
<ul>
<li class="circle">java.awt.Frame (implements java.awt.MenuContainer)
<ul>
<li class="circle">javax.swing.JFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<ul>
<li class="circle">presentation_layer.<a href="ViewAdministratorGUI.html" title="class in presentation_layer"><span class="typeNameLink">ViewAdministratorGUI</span></a></li>
<li class="circle">presentation_layer.<a href="ViewChefGUI.html" title="class in presentation_layer"><span class="typeNameLink">ViewChefGUI</span></a></li>
<li class="circle">presentation_layer.<a href="ViewStart.html" title="class in presentation_layer"><span class="typeNameLink">ViewStart</span></a></li>
<li class="circle">presentation_layer.<a href="ViewWaiterGUI.html" title="class in presentation_layer"><span class="typeNameLink">ViewWaiterGUI</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">presentation_layer.<a href="ControllerAdministratorGUI.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI</span></a></li>
<li class="circle">presentation_layer.<a href="ControllerAdministratorGUI.ActionListenerAdd.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerAdd</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerAdministratorGUI.ActionListenerBack.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerBack</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerAdministratorGUI.ActionListenerDelete.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerDelete</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerAdministratorGUI.ActionListenerEdit.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerEdit</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerAdministratorGUI.ActionListenerViewAll.html" title="class in presentation_layer"><span class="typeNameLink">ControllerAdministratorGUI.ActionListenerViewAll</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerChefGUI.html" title="class in presentation_layer"><span class="typeNameLink">ControllerChefGUI</span></a></li>
<li class="circle">presentation_layer.<a href="ControllerStart.html" title="class in presentation_layer"><span class="typeNameLink">ControllerStart</span></a></li>
<li class="circle">presentation_layer.<a href="ControllerStart.ActionListenerComboBox.html" title="class in presentation_layer"><span class="typeNameLink">ControllerStart.ActionListenerComboBox</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerWaiterGUI.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI</span></a></li>
<li class="circle">presentation_layer.<a href="ControllerWaiterGUI.ActionListenerAdd.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerAdd</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerWaiterGUI.ActionListenerBack.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerBack</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerWaiterGUI.ActionListenerComputeBill.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerComputeBill</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerWaiterGUI.ActionListenerDelete.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerDelete</span></a> (implements java.awt.event.ActionListener)</li>
<li class="circle">presentation_layer.<a href="ControllerWaiterGUI.ActionListenerViewAll.html" title="class in presentation_layer"><span class="typeNameLink">ControllerWaiterGUI.ActionListenerViewAll</span></a> (implements java.awt.event.ActionListener)</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">java.io.Serializable
<ul>
<li class="circle">presentation_layer.<a href="Observer.html" title="interface in presentation_layer"><span class="typeNameLink">Observer</span></a></li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
